import Schedule from "./Schedule";
import DataSource from "./dataSource";

import {DataShowStore} from "./DataShowStore";
import {TriggerStore} from "./WorkflowTriggerStore";
import {ArchiveStore} from "./WorkflowArchiveStore";
import WorkflowFlowStore from "./WorkflowFlowStore";
import RegisterESBStore from "./RegisterESBStore";
import HomePageStore from "./HomePageStore";
import Imrtx from "./Imrtx";
import Cas from "./Cas";
import {LdapStore} from './LdapStore';
import Webseal from "./Webseal";
import Webservice from "./Webservice";
import {HrSyncStore} from "./HrSyncStore";
// import {OutterStore} from "./OutterStore";
import CoreMail from "./coremail";
import CoreMailPortal from './coremailPortal';
import NCStore from './NC';
import AccountSettingStore from "./accountSetting";
import {AuthenticationCenterStore} from "./AuthenticationCenterStore";
import {OAuth2Store} from "./OAuth2Store";
import {WhiteListStore} from "./WhiteListStore";
import {SamlStore} from "./SamlStore";
import {TodoCenterStore} from "./TodoCenterStore";
import {InteLogin} from "./login";
import {TodoClientStore} from "./TodoClientStore";
import {TencentMailStore} from "./TencentMailStore";
import LDAPInit from './LDAPInit';
import {Exchange} from './Exchange';
import {AuthenticationSourceStore} from "./AuthenticationSourceStore";
import AlyMail from './Alymail';
import DelegateClient from './DelegateClient';

module.exports = {
  schedule: new Schedule(),
  dataSource: new DataSource(),
  imrtx: new Imrtx(),
  dataShowStore: new DataShowStore(),
  cas: new Cas(),
  webseal: new Webseal(),
  triggerStore: new TriggerStore(),
  archiveStore: new ArchiveStore(),
  workflowFlowStore: new WorkflowFlowStore(),
  ldapStore: new LdapStore(),
  webservice: new Webservice(),
  registerESBStore: new RegisterESBStore(),
  hrSyncStore: new HrSyncStore(),
  // outterStore: new OutterStore(),
  coremailStore: new CoreMail(),
  homepageStore: new HomePageStore(),
  coremailPortal: new CoreMailPortal(),
  inteNCStore: new NCStore(),
  accountSettingStore: new AccountSettingStore(),
  authenticationCenterStore: new AuthenticationCenterStore(),
  authenticationSourceStore: new AuthenticationSourceStore(),
  oauth2Store: new OAuth2Store(),
  whiteListStore: new WhiteListStore(),
  samlStore: new SamlStore(),
  todoCenterStore: new TodoCenterStore(),
  todoClientStore: new TodoClientStore(),
  tencentMailStore: new TencentMailStore(),
  intelogin: new InteLogin(),
  ldapInit: new LDAPInit(),
  ExchangeStore: new Exchange(),
  alyMail: new AlyMail(),
  delegateClientStore: new DelegateClient(),
};